bar.c(3)

NAME
bar.c - Progress Bar Routines.

SYNOPSIS

#include <config.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <errno.h>
#include <sys/time.h>
#include <signal.h>
#include <wchar.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct bar_slot
struct wget_bar_st

  Enumerations
enum BAR_SIZES { BAR_FILENAME_SIZE = 20, BAR_RATIO_SIZE = 3, BAR_METER_COST = 2, BAR_DOWNBYTES_SIZE = 8, BAR_SPEED_SIZE = 8 }
enum BAR_DECOR_SIZE { BAR_DECOR_COST }
enum SCREEN_WIDTH { DEFAULT_SCREEN_WIDTH = 70, MINIMUM_SCREEN_WIDTH = BAR_DECOR_COST }
enum bar_slot_status { EMPTY = 0, DOWNLOADING = 1, COMPLETE = 2 }
enum BAR_SETTINGS { SPEED_RING_SIZE = 24 }

  Functions
wget_bar * wget_bar_init (wget_bar *bar, int nslots)
void wget_bar_set_slots (wget_bar *bar, int nslots)
void wget_bar_slot_begin (wget_bar *bar, int slot, const char *filename, int new_file, ssize_t file_size)
void wget_bar_slot_downloaded (wget_bar *bar, int slot, size_t nbytes)
void wget_bar_slot_deregister (wget_bar *bar, int slot)
void wget_bar_update (wget_bar *bar)
void wget_bar_deinit (wget_bar *bar)
void wget_bar_free (wget_bar **bar)
void wget_bar_print (wget_bar *bar, int slot, const char *display)
void wget_bar_vprintf (wget_bar *bar, int slot, const char *fmt, va_list args)
void wget_bar_printf (wget_bar *bar, int slot, const char *fmt,...)
void wget_bar_screen_resized (void)
void wget_bar_write_line (wget_bar *bar, const char *buf, size_t len)
void wget_bar_set_speed_type (wget_report_speed type)

Detailed Description

Progress Bar Routines.

Author

Generated automatically by Doxygen for wget2 from the source code.